The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Create/Update Syslog Configuration

Prev Next

This URL creates/updates the syslog configuration for firewall notification.

Resource URL

GET /domain/<domain_id>/notification/firewall/syslog

Request Parameters

Field Name

Description

Data Type

Mandatory

domain_id

Domain id

Int

Yes

Payload Parameter: SyslogNotification

Details of SyslogNotification:

Field Name

Description

Data Type

enableSyslog

Enable syslog notification

Boolean

parentAndChildDomain

Parent and child domain

Boolean

serverIp

Server IP address

String

serverPort

Server port

Number

facilities

Facilities

String

severity

Severity

String

Message

Message

String

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name

Description

Data Type

status

Set to 1 if the operation was successful

Number

Example

Request

GET https://<NSM_IP>/sdkapi/domain/0/ notification/firewall/syslog

Request Payload

{
   "enableSyslog": true,
   "parentAndChildDomain": true,
   "serverIp": "1.1.1.2",
   "serverPort": 515,
   "facilities": "CLOCK_DAEMON_NOTE_2",
   "severity”: "EMERGENCY_SYSTEM_UNUSABLE",
   "message": "$IV_ACK_INFORMATION$ $IV_ADMIN_DOMAIN$ $IV_DESCRIPTION$"
}

Response

{
"status": 1
}

Error Information

Following error codes are returned by this URL:

No

HTTP Error Code

SDK API errorId

SDK API errorMessage

1

404

1105

Invalid domain

2

400

1725

Invalid facilities

3

400

1726

Invalid severity mapping